:root {}

html {}

html,
body,
#app {
    height: 100% !important;
    position: relative;
    overflow: hidden;
}

#app {
    background-color: #3c3328;
    font-size: 16px;
    opacity: 0;
}

.footer-left {
    position: absolute;
    bottom: 15px;
    left: 15px;
    transition: all .3s;
}

.footer-right {
    position: absolute;
    bottom: 15px;
    right: 15px;
    transition: all .3s;
}

.menu-item {
    margin: 0 0.1rem;
    text-align: center;
    font-size: 0;
    user-select: none;
    cursor: pointer;
}

.menu-item img {
    width: 40px;
    z-index: -1;
    vertical-align: top;
}

.menu-item span {
    font-size: 0.2rem;
    display: block;
    padding-top: 3px;
    color: #2eacff;
}

.footer-thumbs {
    position: absolute;
    bottom: -400px;
    width: 100%;
    transition: all .3s;
}

body.with_thumbs .footer-thumbs {
    bottom: 0;
}
body.with_thumbs .footer-left,body.with_thumbs .footer-right {
    bottom: 110px;
}
.thumb-item {
    width: auto !important;
    position: relative;
    border: 2px solid white;
    border-radius: 2px;
}

.thumb-item.active {
    border: 2px solid red;

}

.thumb-item img {
    width: 150px;
    height: 100px;
    object-fit: cover;
}

.thumb-item-title {
    position: absolute;
    bottom: 0;
    text-align: center;
    width: 100%;
    color: white;
}

#tags {
    position: absolute;
    right: 0;
    top: 0;
    height: 100%;
    font-size: 0.3rem;
    color: white;
    background-color: rgba(79, 139, 181, .9);
    transform: translate(100%, 0);
    transition: all .3s;
    z-index: 1234;
}

#tags.show {
    transform: translate(0, 0);
}

#tags-wrapper {
    height: calc(100%);
    overflow: auto;
}

#tags.show #close-tags {
    display: block;

}

#close-tags {
    text-align: center;
    cursor: pointer;
    user-select: none;
    position: absolute;
    top: 50%;
    left: 0;
    transform: translate(-100%, -50%);
    display: none;
    background-color: #4e4e63d5;
    padding: 10px;
    border-radius: 10px 0 0 10px;
}

#close-tags::after {
    content: '×';
    display: block;
    transform: scale(2);
}

.tag-label {
    cursor: pointer;
    user-select: none;
    line-height: 25px;
    padding: 3px 5px;
    /* white-space: nowrap; */
    overflow: hidden;
    width: 300px;
    font-size: 20px;
    margin: 10px 0;
    /* text-overflow: ellipsis; */
}

.tag-label:hover {
    background-color: rgba(79, 139, 181, 1);
}

#map {
    position: absolute;
    right: 15px;
    top: 65px;
    transform-origin: right top;
    transform: translate(0, 0) scale(0.3);
    transition: all .3s;
}
#map.hide{
    right: -1000px;
}
#close-map{
    position: absolute;
    right: 10px;
    top: 10px;
    padding: 20px;
    background: url(assets/images/close-map.png) no-repeat center;
    background-size: contain;
    filter: invert(1);
    cursor: pointer;
}
#map-active {
    background: url(assets/images/EastDirection.png) no-repeat center center;
    background-color: gree;
    background-size: contain;
    position: absolute;
    padding: 50px;
    z-index: 10000;
    transition: all .3s;
    display: none;
    transform-origin: center center;
}

@media screen and (max-width: 768px) {
    .menu-item {
        margin-bottom: 0.1rem;
    }

    .menu-item span {
        font-size: 0;
    }

    #tags {
        width: 100%;
    }

    #tags .tag-label {
        width: 100%;
    }

    #close-tags {
        left: 100%;
        top: 0;
        width: 30px;
        height: 30px;
        border-radius: 50%;
        transform: translate(calc(-100% - 15px), 15px);
    }

    #close-tags::after {
        line-height: 30px;
        transform: translate(0, -30%) scale(1.5);
    }

    #map {
        transform: scale(0.17);
    }
}

#tag-overlay {
    position: absolute;
    user-select: none;
    pointer-events: none;
    background-color: aliceblue;
    padding: 20px;
    transform-origin: left center;
    transform: translate(-50%, -120%);
    opacity: 0;
    /* transition: all .2s .2s; */
}

#tag-overlay.show {
    opacity: 1;
}

body .swal2-container {
    font-size: 16px;
    padding: 0;
}

#close-modal {
    position: absolute;
    right: 0;
    top: 0;
    padding: 30px;
    background-color: antiquewhite;
    cursor: pointer;
}



/* 海报 */
.poster {
    width: 100rem;
    height: 56.25rem;
    overflow: hidden;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

.poster.mobile {
    width: 100rem;
    height: 177.77rem
}

.poster img {
    width: 100%;
    height: 100%;
    display: block;
    top: 0;
    position: absolute;
    object-fit: contain;
}

.poster img:nth-child(2) {
    animation-delay: 0.5s;
    animation-duration: 600ms;
}

.poster img:nth-child(3) {
    animation-delay: 0.8s;
    animation-duration: 600ms;
}

.poster img:nth-child(4) {
    animation-delay: 1.1s;
    animation-duration: 600ms;
}

.poster img:nth-child(5) {
    animation-delay: 1.3s;
    animation-duration: 600ms;
}

#close-poster {
    position: absolute;
    left: 60rem;
    top: 38rem;
    width: 191px;
    height: 76px;
    background-color: rgb(255, 255, 255, 0);
    cursor: pointer;
    object-fit: contain;
    animation-delay: 1.9s;
    animation-duration: 1200ms;
    transform: scale(0.6);
}
#poster-vlog{
    left: 82.5rem;
    top: 31rem;
    width: 135px;
    height: 47px;
    transform-origin: left bottom;;
    transform: scale(.7);
    cursor: pointer;
    animation-delay: 1.7s;
    animation-duration: 1200ms;
}
.poster.mobile #close-poster {
    top: 108rem;
    left: 64.5rem;
    transform-origin: left top;
    transform: scale(0.6);
}
.poster.mobile #poster-vlog {
    top: 118rem;
    left: 64.5rem;
}